Skip to main content
GET
/
v1
/
suppliers
List suppliers
curl --request GET \
  --url https://prod-api.civicmarketplace.com/v1/suppliers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "location": "Austin, TX",
      "logo": "<string>",
      "email": "[email protected]",
      "website": "<string>"
    }
  ],
  "meta": {
    "next_cursor": "<string>",
    "limit": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
Maximum string length: 200
updated_since
string<date-time>
cursor
string
limit
integer
default:25
Required range: 1 <= x <= 100

Response

200 - application/json

Supplier page

data
object[]
required
meta
object
required